Legacy (v0)
Update companies
Updates the settings of the company the token belongs to and returns the updated company. The company is always the token’s company, whatever id is sent. Only the attributes you send change. Requires a company token with permission to update the company. Returns 400 with the validation errors when the update fails, and 404 when the company was deleted while the request ran.
PATCH
/
api
/
company
/
companies
/
{id}
Update companies
curl --request PATCH \
--url https://api.fluid.app/api/company/companies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": {
"support_email": "support@dundermifflin.com",
"color": "#1F4E79",
"allow_signup": true
}
}
'import requests
url = "https://api.fluid.app/api/company/companies/{id}"
payload = { "company": {
"support_email": "support@dundermifflin.com",
"color": "#1F4E79",
"allow_signup": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: {
support_email: 'support@dundermifflin.com',
color: '#1F4E79',
allow_signup: true
}
})
};
fetch('https://api.fluid.app/api/company/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'company' => [
'support_email' => 'support@dundermifflin.com',
'color' => '#1F4E79',
'allow_signup' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/companies/{id}"
payload := strings.NewReader("{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/companies/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"active": true,
"sandbox": false,
"is_mlm": true,
"fluid_shop": "dunder-mifflin.fluid.app",
"domain": "shop.dundermifflin.com",
"color": "#1F4E79",
"tax_class": "fluid",
"appstore_url": null,
"playstore_url": null,
"pre_purchase_enrollment_fields": null,
"allow_signup": true,
"company_pays": false,
"olumo_token": null,
"apn_bundle": null,
"ibi_bundle": null,
"signup_url": "https://shop.dundermifflin.com/join",
"reward_points_enabled": false,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "point",
"reward_points_label_plural": "points",
"mobile_app_identifier": null,
"support_email": "support@dundermifflin.com",
"country_code": "US",
"shipping": "Flat Country",
"shipping_type": "country",
"allow_free_shipping": false,
"email_provider": "fluid"
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "not found",
"errors": {
"company": [
"not found"
]
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-10-29T14:05:31Z"
}
}{
"error_message": "Registration submission in progress; try again in a few minutes",
"errors": {
"type": "registration_submission_in_progress"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Body
application/json
Response
Success
The company's settings as returned after an update.
⌘I
Update companies
curl --request PATCH \
--url https://api.fluid.app/api/company/companies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": {
"support_email": "support@dundermifflin.com",
"color": "#1F4E79",
"allow_signup": true
}
}
'import requests
url = "https://api.fluid.app/api/company/companies/{id}"
payload = { "company": {
"support_email": "support@dundermifflin.com",
"color": "#1F4E79",
"allow_signup": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company: {
support_email: 'support@dundermifflin.com',
color: '#1F4E79',
allow_signup: true
}
})
};
fetch('https://api.fluid.app/api/company/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/companies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'company' => [
'support_email' => 'support@dundermifflin.com',
'color' => '#1F4E79',
'allow_signup' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/companies/{id}"
payload := strings.NewReader("{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/company/companies/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/companies/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company\": {\n \"support_email\": \"support@dundermifflin.com\",\n \"color\": \"#1F4E79\",\n \"allow_signup\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"active": true,
"sandbox": false,
"is_mlm": true,
"fluid_shop": "dunder-mifflin.fluid.app",
"domain": "shop.dundermifflin.com",
"color": "#1F4E79",
"tax_class": "fluid",
"appstore_url": null,
"playstore_url": null,
"pre_purchase_enrollment_fields": null,
"allow_signup": true,
"company_pays": false,
"olumo_token": null,
"apn_bundle": null,
"ibi_bundle": null,
"signup_url": "https://shop.dundermifflin.com/join",
"reward_points_enabled": false,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "point",
"reward_points_label_plural": "points",
"mobile_app_identifier": null,
"support_email": "support@dundermifflin.com",
"country_code": "US",
"shipping": "Flat Country",
"shipping_type": "country",
"allow_free_shipping": false,
"email_provider": "fluid"
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "not found",
"errors": {
"company": [
"not found"
]
},
"meta": {
"request_id": "7f3c2a91-5d4e-4b8a-9c61-2e8f0d3b5a47",
"timestamp": "2026-10-29T14:05:31Z"
}
}{
"error_message": "Registration submission in progress; try again in a few minutes",
"errors": {
"type": "registration_submission_in_progress"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}